NunchukCalibrationData
Keywords: wiiremotej.NunchukCalibrationData class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## wiiremotej
Class NunchukCalibrationData

    java.lang.Object
      wiiremotej.NunchukCalibrationData

    public class NunchukCalibrationData

extends java.lang.Object

Contains calibration data for use in WRNunchukExtensionEvents. Immutable.

Method Summary
`double` | `analogXCenter()` Returns analogXCenter.
`double` | `analogXMaximum()` Returns analogXMaximum.
`double` | `analogXMinimum()` Returns analogXMinimum.
`double` | `analogYCenter()` Returns analogYCenter.
`double` | `analogYMaximum()` Returns analogYMaximum.
`double` | `analogYMinimum()` Returns analogYMinimum.
`double` | `xOne()` Returns xOne.
`double` | `xZero()` Returns xZero.
`double` | `yOne()` Returns yOne.
`double` | `yZero()` Returns yZero.
`double` | `zOne()` Returns zOne.
`double` | `zZero()` Returns zZero.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### analogXCenter

    public double analogXCenter()

  Returns analogXCenter.

  Returns:
    analogXCenter.

### analogXMaximum

    public double analogXMaximum()

  Returns analogXMaximum.

  Returns:
    analogXMaximum.

### analogXMinimum

    public double analogXMinimum()

  Returns analogXMinimum.

  Returns:
    analogXMinumum.

### analogYCenter

    public double analogYCenter()

  Returns analogYCenter.

  Returns:
    analogYCenter.

### analogYMaximum

    public double analogYMaximum()

  Returns analogYMaximum.

  Returns:
    analogYMaximum.

### analogYMinimum

    public double analogYMinimum()

  Returns analogYMinimum.

  Returns:
    analogYMinumum.

### xZero

    public double xZero()

  Returns xZero.

  Returns:
    xZero.

### yZero

    public double yZero()

  Returns yZero.

  Returns:
    yZero.

### zZero

    public double zZero()

  Returns zZero.

  Returns:
    zZero.

### xOne

    public double xOne()

  Returns xOne.

  Returns:
    xOne.

### yOne

    public double yOne()

  Returns yOne.

  Returns:
    yOne.

### zOne

    public double zOne()

  Returns zOne.

  Returns:
    zOne.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD